Subject: Re: bug#6214: 23.1; json-read-string crashes emacs with long string
From: Chong Yidong <[email-masked]>
To: Carl Worth <[email-masked]>
Cc: Notmuch mailing list <[email-masked]>, [email-masked], Dirk Hohndel <[email-masked]>
Date: Tue, 18 May 2010 14:07:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Carl Worth <[email-masked]> writes:

> A user of the emacs-based mail client, Notmuch [*], found that
> attempting to display a particular message would consistently
> causes a segmentation fault in emacs.
>
> I haven't attempted to debug this within gdb yet, (I'll have to get my
> hands on a build of emacs with debugging symbols first). But I wanted to
> share things right away, so that perhaps someone else could do further
> debugging and follow up.

Looks like a stack overflow in the `string' function.  I've checked in a
fix, thanks for the bug report.